//   NPC  
s := '';
case GetInt('NPCID') of
  mdMALECITIZEN, mdFEMALECITIZEN: //    NPC  

  case Rand(11, 11) of
    1 : S := '",    !"';
    2 : S := '"  ,   ?"';
    3 : S := '"          ..."';
    4 : S := '"  !"';
    5 : S := '"  !"';
    6 : S := '"  !"';
    7 :
    begin
      case Rand(1, 3) of
        1: S1 := '';
        2: S1 := '';
        3: S1 := '';
      end;
      S := '"' + S1 + '  ..."';
    end;
    8 : S := '"       ' + GetStr('NPCWeaponName') + '   !"';
    9 : S := '"{/a}  , ' + pc.name + '!"';
    10: case GetInt('PCQuest1State') of
          0 : S := '"    . !"';
          1 : S := '"... !        !"';
          2 : S := '"   ? , !    !   !"';
          3 : S := '"  ,   !     !"';
        end;
    11: if (pc.name = GetStr('NPCName')) then
          S := '"  ' + pc.name + '?    !"' else
            S := '"  ' + GetStr('NPCName') + '. {/a}   , ' + pc.name + '!"';
  end;
  
  mdBREAKMT : // 
  case Rand(1, 3) of
    1 : S := '"   ... ...   ,    !"';
    2 : S := '"     .  -    -... ... .  !"';
    3 : S := '"   .   ...    ."';
  end;
  
  mdDRUNK: // 
    S := '"! ... ... !"';
  
  mdKEYWIFE: //  
  case Rand(1, 3) of
    1 : S := '"     ...  !"';
    2 : S := '"   -   !    ...     ..."';
    3 : S := '"        ! ,     !"';
  end;
  
  mdHEALER:
  begin
    if pc.HP < pc.RHP then
    begin
      if ((Ask(GetStr('TalkStr') + '"   ?" #(Y/n)#')) = 'Y') then
      begin
        i := Round((pc.RHp - pc.Hp) * 1.1);
        if ((Ask('"     '+IntToStr(i)+' . ?" #(Y/n)#')) = 'Y') then
          if (pc.getGold() = 0) then
            AddMsg(' ,     .',0)
          else
            if pc.removeGold(i) then
            begin
              AddMsg('  '+MonstersName(GetInt('NPCID'),3)+' .',0); More;
              AddMsg('     .         ... ',0); More;
              AddMsg('#    , ,    ,   !#',0);
              pc.Hp := pc.RHp;
            end
            else
            begin
              i := Round(pc.getGold() / 1.1);
              if (i > 0) then
                if (Ask('" ... ,  ,       '+IntToStr(pc.getGold)+' . ?" #(Y/n)#')) = 'Y' then
                begin
                  pc.removeGold(pc.getGold());
                  AddMsg('  '+MonstersName(GetInt('NPCID'),3)+' .',0); More;
                  AddMsg('     .          ... ',0); More;
                  AddMsg('#   ,      !# ($+'+IntToStr(i)+'$)',0);
                  pc.HP := pc.HP + i;
                end
                else
                  AddMsg('"    !"',0)
              else
                AddMsg(' ,    ,    - .',0)
            end;
      end
      else
        AddMsg('"  -  ..."',0);
    end
    else
      AddMsg(GetStr('TalkStr') + '", '+pc.Name+'!   '+GetStr('NPCName')+'.    -   ,    ."',0);
  end;
  
  mdBARTENDER:
  begin
    if (Ask(GetStr('TalkStr') + '"       15 , ?" #(Y/n)#')) = 'Y' then
    begin
      if pc.removeGold(15) then
      begin
        AddMsg('  '+MonstersName(GetInt('NPCID'),3)+' .',0); More;
        AddMsg('       .',0);
        if not(pc.addPotion(lqCHEAPBEER, 1)) then
        begin
          AddMsg('   .',0);
          map.PutPotion(pc.x,pc.y, lqCHEAPBEER, 1);
        end;
        More;
        AddMsg('"   -   !     ..."',0);
       end else if (pc.getGold() > 0) then
        AddMsg('      .',0)
      else
        AddMsg(' ,     .',0);
    end else
      AddMsg('"  ...   !"',0);
  end;
  
  mdMEATMAN:
  begin
    if (Ask(GetStr('TalkStr') + '"        15 ?" #(Y/n)#')) = 'Y' then
    begin
      if pc.removeGold(15) then
      begin
        AddMsg('  '+MonstersName(GetInt('NPCID'),3)+' .',0); More;
        AddMsg('      .',0);
        if not(pc.addItem(idMeat, 1)) then
        begin
          AddMsg('   .',0);
          map.PutItem(pc.x,pc.y, idMeat, 1);
        end;
        More;
        AddMsg('" ,   !"',0);
       end else if (pc.getGold() > 0) then
        AddMsg('      .',0)
      else
        AddMsg(' ,     .',0);
    end else
      AddMsg('"   -    !"',0);
  end;
  
  mdELDER: // 
  begin
    //      
    if (pc.quest[1] = 4) and (pc.quest[2] = 4) then
      s := s + '"... .. . ,     ..."' else
    case pc.quest[1] of
      0 :
      begin
        AddMsg(' {/} '+MonstersName(GetInt('NPCID'),3)+'.',0); More;
        AddMsg(MonstersName(GetInt('NPCID'),1) + ' : ", '+pc.name+'!   '+GetStr('NPCName')+'.          ."',0); More;
        AddMsg('",             .    -          ."',0); More;
        AddMsg('"       .           .           !"',0); More;
        AddMsg('" ,      ,      !  ,     , ...     ."',0); More;
        AddMsg('"   ?      ...        !    -      ,   ...  ,   !"',0); More;
        AddMsg('"    -         !"',0);
        pc.quest[1] := 1;
      end;
      1 :
      begin
        case Rand(1,3) of
          1 : s := s + '" ?    {/} ?  !"';
          2 : s := s + '", '+pc.name+', !   !"';
          3 : s := s + '"    , '+pc.name+'!"';
        end;{case}
      end;
      2 : // !
      begin
        AddMsg(' {/} '+MonstersName(GetInt('NPCID'),3)+'     .',0); More;
        AddMsg('    , , ,    ...',0); More;
        AddMsg('    - !',0);
      end;
      3 : //  !
      begin
        AddMsg(MonstersName(GetInt('NPCID'),3)+',   , :',0); More;
        AddMsg('"  ,    !  {/}    !"',0); More;
        AddMsg('",   ! ,   !"',0); More;
        AddMsg(' {/}    {/}   .',0);
        pc.addItem(idCOIN,300);
        pc.quest[1] := 4;
        More;
        AddMsg('"     !  {/} - !"',0); More;
      end;
      4 : //   1
      begin
        //   2
        case pc.quest[2] of
          0 :
          begin
            AddMsg(GetStr('TalkStr')+': " ,    {/}   .     ..."',0); More;
            AddMsg('"  {/}   ,      .   ,     ."',0); More;
            AddMsg('"           ..."',0); More;
            AddMsg('"     ,      ..."',0); More;
            AddMsg('",   ,   - !"',0); More;
            AddMsg('"     -   !"',0); More;
            if Ask('" ? {/}    ?"  [(Y/n)]') = 'Y' then
            begin
              AddMsg('"!    !"',0); More;
              pc.quest[2] := 1;
            end else
              begin
                AddMsg('" ... ,     !"',0); More;
              end;
          end;
          //  ...
          1 :
          begin
            s := s + '"   {/} ?  ..."';
          end;
          //  -   (  :)
          2 :
          begin
            AddMsg(GetStr('TalkStr')+': ", ...  ...  ...."',0); More;
            AddMsg('"   ,   ...  ...   ..."',0); More;
            AddMsg('"..."',0); More;
            AddMsg('"...     ?"',0); More;
          end;
          //  
          3 :
          begin
            AddMsg(MonstersName(GetInt('NPCID'),3)+',   , :',0); More;
            AddMsg('"   {/}   !      !"',0); More;
            AddMsg('",   !      ,  -    -  !"',0); More;
            AddMsg(' {/}    {/}   .',0);
            pc.addItem(idCOIN, 500);
            pc.quest[2] := 4;
            map[79,18] := tdROAD;
            More;
          end;
        end; {case quest 2}
      end;
    end;
  end;
  else s := ' ...';
end;
//  
if s <> '' then
begin
  S := GetStr('TalkStr')+S;
  AddMsg(S, GetInt('NPCID'));
end;

